var
  test, num : boolean;
  a, b : shortint;


Begin
  test := true;
  num := false;
          Write ('Вводите натуральные числа, закончите нулем ');
          Readln(a);
          b := a;
          if a <> 0 then
          begin
            Repeat
              Read (a);
              if a <> 0 then
              begin
                if (a mod 2) = (b mod 2) then
                  begin
                    test := false;
                    b := a;
                    num := true
                  end
                else Begin
                  b := a;
                  num := true
                end;
              end;
            Until a = 0;
          end;
  if num = false then Write('Было введено недостаточно чисел')
   else
   begin
    if test = true then
      Writeln ('Последовательность верна ')
    else
      Writeln ('Последовательность не верна ');
   end;
  readln;
  Readln;
End.


